org.apache.cxf.configuration.jsse

## Class TLSParameterBase

- java.lang.Object
- - org.apache.cxf.configuration.jsse.TLSParameterBase

- Direct Known Subclasses:
    TLSClientParameters, TLSServerParameters

      public class TLSParameterBase
      extends Object

  This class is the base class for SSL/TLS parameters that are common to both client and server sides.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `certAlias`
    `protected org.apache.cxf.configuration.security.CertificateConstraintsType` | `certConstraints`
    `protected org.apache.cxf.configuration.security.FiltersType` | `cipherSuiteFilters`
    `protected List<String>` | `ciphersuites`
    `protected static Collection<String>` | `DEFAULT_HTTPS_PROTOCOLS`
    `protected KeyManager[]` | `keyManagers`
    `protected String` | `protocol`
    `protected String` | `provider`
    `protected SecureRandom` | `secureRandom`
    `protected TrustManager[]` | `trustManagers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TLSParameterBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCertAlias()` This parameter retrieves the cert alias specified on server side
    `org.apache.cxf.configuration.security.CertificateConstraintsType` | `getCertConstraints()` Get the certificate constraints type
    `List<String>` | `getCipherSuites()` Returns the CipherSuites associated with this endpoint.
    `org.apache.cxf.configuration.security.FiltersType` | `getCipherSuitesFilter()` Returns the cipher suites filter
    `String` | `getJsseProvider()` Return the JSSE provider.
    `KeyManager[]` | `getKeyManagers()` Returns the key managers for the endpoint.
    `SecureRandom` | `getSecureRandom()` Returns the secure random algorithm.
    `String` | `getSecureSocketProtocol()` Returns the secure socket protocol in use.
    `TrustManager[]` | `getTrustManagers()` Returns the TrustManagers associated with the endpoint.
    `void` | `setCertAlias(String ctAlias)` This parameter configures the cert alias used on server side this is useful when keystore has multiple certs
    `void` | `setCertConstraints(org.apache.cxf.configuration.security.CertificateConstraintsType constraints)` Set the certificate constraints type
    `void` | `setCipherSuites(List<String> cs)` This parameter sets the cipher suites list to use.
    `void` | `setCipherSuitesFilter(org.apache.cxf.configuration.security.FiltersType filters)` This parameter sets the filter to include and/or exclude the cipher suites to use from the set list or system defaults.
    `void` | `setJsseProvider(String prov)` Set the JSSE provider.
    `void` | `setKeyManagers(KeyManager[] keyMgrs)` Sets the KeyManagers for this endpoint.
    `void` | `setSecureRandom(SecureRandom random)` This sets the secure random provider and algorithm.
    `void` | `setSecureSocketProtocol(String proto)` This sets the protocol to use.
    `void` | `setTrustManagers(TrustManager[] trustMgrs)` Sets the TrustManagers associated with this endpoint.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HTTPS_PROTOCOLS

          protected static final Collection<String> DEFAULT_HTTPS_PROTOCOLS

    - #### keyManagers

          protected KeyManager[] keyManagers

    - #### trustManagers

          protected TrustManager[] trustManagers

    - #### provider

          protected String provider

    - #### ciphersuites

          protected List<String> ciphersuites

    - #### cipherSuiteFilters

          protected org.apache.cxf.configuration.security.FiltersType cipherSuiteFilters

    - #### certConstraints

          protected org.apache.cxf.configuration.security.CertificateConstraintsType certConstraints

    - #### secureRandom

          protected SecureRandom secureRandom

    - #### protocol

          protected String protocol

    - #### certAlias

          protected String certAlias

  - ### Constructor Detail

    - #### TLSParameterBase

          public TLSParameterBase()

  - ### Method Detail

    - #### setJsseProvider

          public final void setJsseProvider(String prov)

      Set the JSSE provider. If not set, it uses system default.

    - #### getJsseProvider

          public String getJsseProvider()

      Return the JSSE provider.

    - #### setKeyManagers

          public final void setKeyManagers(KeyManager[] keyMgrs)

      Sets the KeyManagers for this endpoint. This parameter may be set to null for system default behavior.

    - #### getKeyManagers

          public KeyManager[] getKeyManagers()

      Returns the key managers for the endpoint.

    - #### setTrustManagers

          public final void setTrustManagers(TrustManager[] trustMgrs)

      Sets the TrustManagers associated with this endpoint. This parameter may be set to null for system default behavior.

    - #### getTrustManagers

          public TrustManager[] getTrustManagers()

      Returns the TrustManagers associated with the endpoint.

    - #### setCipherSuites

          public final void setCipherSuites(List<String> cs)

      This parameter sets the cipher suites list to use. If left unset it uses system defaults.

    - #### getCipherSuites

          public List<String> getCipherSuites()

      Returns the CipherSuites associated with this endpoint.

    - #### setCipherSuitesFilter

          public final void setCipherSuitesFilter(org.apache.cxf.configuration.security.FiltersType filters)

      This parameter sets the filter to include and/or exclude the cipher suites to use from the set list or system defaults.

    - #### getCipherSuitesFilter

          public org.apache.cxf.configuration.security.FiltersType getCipherSuitesFilter()

      Returns the cipher suites filter

    - #### setSecureRandom

          public final void setSecureRandom(SecureRandom random)

      This sets the secure random provider and algorithm. If left unset or set to null, it uses the system default.

    - #### getCertConstraints

          public org.apache.cxf.configuration.security.CertificateConstraintsType getCertConstraints()

      Get the certificate constraints type

    - #### setCertConstraints

          public final void setCertConstraints(org.apache.cxf.configuration.security.CertificateConstraintsType constraints)

      Set the certificate constraints type

    - #### getSecureRandom

          public SecureRandom getSecureRandom()

      Returns the secure random algorithm.

    - #### setSecureSocketProtocol

          public final void setSecureSocketProtocol(String proto)

      This sets the protocol to use. The system default is usually "TLS".

    - #### getSecureSocketProtocol

          public String getSecureSocketProtocol()

      Returns the secure socket protocol in use.

    - #### setCertAlias

          public final void setCertAlias(String ctAlias)

      This parameter configures the cert alias used on server side this is useful when keystore has multiple certs

    - #### getCertAlias

          public String getCertAlias()

      This parameter retrieves the cert alias specified on server side

Apache CXF